import java.io.*;
class f3 extends fi_x  
{  
double[] func(double x)  
{  
double f[]=new double[7];	   
for(int i=0;i<7;i++)
{f[i]=Mathd.J(i,x);}
return f;  
}
}
  
class PlotT  
{  
public static void main (String args[]) throws IOException  
{ 
	f3 ff=new f3(); 
Plot pp=new Plot(ff,0.0,20.0,200,5); //two additional function  
pp.setPlabel("Bessel Function Plot J0(x)..J4(x)");  
pp.setXlabel("x axis");  
pp.setYlabel("y axis");  
pp.plot();}
}  
